kind: Route
apiVersion: route.openshift.io/v1
metadata:
  name: {{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
  labels:
    app: {{ .Release.Name }}
    deployment: {{ .Release.Name }}
    app.kubernetes.io/component: {{ .Release.Name }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/part-of: {{ .Release.Name }}
  {{- if .Values.system.customTimeout }}
  annotations:
    haproxy.router.openshift.io/timeout: {{ .Values.system.customTimeout }}
  {{- end }}
spec:
  host: {{ .Values.app.host }}
  to:
    kind: Service
    name: {{ .Release.Name }}
    weight: 100
  port:
    targetPort: http
  wildcardPolicy: None
